PHP-инклюдинг в Virtual War

Дата публикации:
10.04.2006
Дата изменения:
24.03.2009
Всего просмотров:
1249
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Virtual War 1.x
Уязвимые версии: Virtual War 1.5.0 R12, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "vwar_root" в сценариях "includes/get_header.php", "includes/functions_common.php" и "includes/functions_front.php". Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный PHP код на целевой системе с привилегиями Web сервера. Для успешной эксплуатации уязвимости опция "register_globals" должна быть включена.

URL производителя: www.vwar.de

Решение: Установите последнюю версию с сайта производителя.

Журнал изменений:
24.03.2009
Изменена секция "Решение"

или введите имя

CAPTCHA